<!DOCTYPE HTML>

<html lang="en" xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">

<head>
<title>Achievents</title>

<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
	integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
	crossorigin="anonymous">
	<script type="text/javascript" src="/js/ricerca-offerta.js"></script>
</head>

<body style="background-color: #E3E2E6">

	<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
		<a class="navbar-brand" href="/">Home</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse"
			data-target="#navbarsExampleDefault"
			aria-controls="navbarsExampleDefault" aria-expanded="false"
			aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarsExampleDefault">
			<ul class="navbar-nav mr-auto">
				<li class="nav-item active"><a class="nav-link"
					sec:authorize="!hasRole('ROLE_STUDENTE')" href="/eventi/full-list">Tutti gli eventi</a></li>
			</ul>
			<form class="form-inline my-2 my-lg-0">
				
			</form>
		</div>
	</nav>
	
	<div class="container">
		
		<br><br><br><br>
		<h2>Ricerca Offerta</h2>
		<hr><br>

		<form id="form" action="#" onsubmit="return validateForm()" th:action="@{/offerte/ricerca}" th:object="${offerta}">

			<input type="hidden" th:field="*{id}"/>
				
				<input type="text" th:field="*{titolo}"
						class="form-control mb-4 col-4" placeholder="Titolo">
				<input type="text" th:field="*{settore}"
						class="form-control mb-4 col-4" placeholder="Settore">	
				<select sec:authorize="!hasRole('ROLE_STUDENTE')" th:field="*{valido}" class="form-control mb-4 col-4">
							  <option th:value="1">Validato</option>
							  <option th:value="0">Non Validato</option>
							</select><br>
				<p class="mb-4 col-4">Da compilare in caso di stage:</p>
				<input type="hidden" th:field="*{stageOffer.id}" />
				<input type="text" id="durata" th:field="*{stageOffer.durata}"
						class="form-control mb-4 col-4" placeholder="Durata"/>	
				<input type="text" th:field="*{stageOffer.datainizio}"
						class="form-control mb-4 col-4" placeholder="Data inizio - formato AAAA-MM-GG"/>		
				<select th:field="*{stageOffer.tipo}" class="form-control mb-4 col-4">
				<option value="" hidden="true">Tipologia Stage</option>
							  <option value="" disabled="disabled" default="true">Tipologia Stage</option>
							  <option th:value="Curriculare">Curriculare</option>
							  <option th:value="Extracurriculare">Extracurriculare</option>
							</select>
							<br>

			<button type="submit" class="btn btn-info col-2">Cerca</button>
			<br><br>
		</form>
		<hr>
		<a th:href="@{/offerte/full-list}">Indietro</a>
	</div>
</body>

</html>